program svgwritetest;

{$mode objfpc}{$H+}

uses
  fpvectorial, fpvutils,
  SVGVectorialWriter,    // der alte Writer
  MySVGVectorialWriter;  // der neue unregistrierte Writer

const
  FontName = 'Arial';

var
  Vec: TvVectorialDocument;
  Page: TvVectorialPage;
  x, y: Double;
  i: Integer;
  writer: TMySVGVectorialWriter;

begin
  Vec := TvVectorialDocument.Create;
  try
    // All documents are 10cm x 10cm
    Vec.Width := 210;
    Vec.Height := 297;
    Page := Vec.AddPage();

    Page.Clear;

    y := Vec.Height - 12;
    with Page.AddText(0, y, 0, FontName, 10, 'vtaStart') do
      TextAnchor := vtaStart;

    with Page.AddText(Page.Width/2, y, 0, FontName, 10, 'vtaMiddle') do
      TextAnchor := vtaMiddle;

    with Page.AddText(Page.Width, y, 0, FontName, 10, 'vtaEnd') do
      TextAnchor := vtaEnd;

    y := y - 12;
    Page.AddText(0, y, 0, 'Times New Roman', 10, 'Font: Times New Roman');

    y := y - 12;
    Page.AddText(0, y, 0, 'Verdana', 10, 'Font: Verdana');

    y := y - 10;
    Page.AddText(0, y, 0, 'Arial', 8, 'Arial 8-pt');

    y := y - 16;
    Page.AddText(x, y, 0, 'Arial', 14, 'Arial 14-pt');

    y := y - 12;
    with Page.AddText(0, y, 0, 'Times New Roman', 10, 'This is bold') do
      Font.Bold := true;

    y := y - 12;
    with Page.AddText(0, y, 0, 'Times New Roman', 10, 'This is italic') do
      Font.Italic := true;

    y := y - 12;
    with page.AddText(0, y, 0, 'Times New Roman', 10, 'This is bold and italic and underlined') do
    begin
      Font.Bold := true;
      Font.Italic := true;
      Font.Underline := true;
    end;

    y := y - 12;
    with Page.AddText(0, y, 0, 'Times New Roman', 10, 'This is striked-through and red') do
    begin
      Font.StrikeThrough := true;
      Font.Color.Red := $FFFF;
    end;

    y  := 50;
    for i:=0 to 11 do
      with Page.AddText(Page.Width/2, y, 0, FontName, 12, 'Rotated text') do
      begin
        Font.Orientation := i*30;
        Font.Color.Red := (255*i div 11) shl 8;
        Font.Color.Blue := $FFFF - (255*i div 11) shl 8;
      end;

    vec.WriteToFile('svgwritetest-orig.svg'); // Diese Datei wird vom Original-Writer geschrieben

    writer := TMySVGVectorialWriter.Create;
    try
      Vec.WriteToFile('svgwritetest-new.svg', writer);   // ... diese vom eigenen.
    finally
      writer.Free;
    end;

  finally
    Vec.Free;
  end;
end.

